<?php

// сбор и удаление всех данных пользователя
function delete_user_all_data($id_user) {
    global $user;
    $db = new db;
    
    if (!isset($user)) {
        return false;
    }
    if ($user['id'] == $id_user) {
        return false;
    }

    time_limit(20); // Ставим ограничение на 20 секунд
// профиль
    $db->query("DELETE FROM `user` WHERE `id` = '$id_user' LIMIT 1");
// темы форума
    $q = $db->query("SELECT `id` FROM `forum_themes` WHERE `id_user` = '$id_user'");
    while ($them = $db->get_row($q)) {
// сообщения форума
        $q2 = $db->query("SELECT `id` FROM `forum_posts` WHERE `id_them` = '$them[id]' OR `id_user` = '$id_user'");
        while ($post = $db->get_row($q2)) {
// список постов
            $db->query("DELETE FROM `forum_posts` WHERE `id` = '$post[id]' LIMIT 1");
        }
        $db->query("DELETE FROM `forum_themes` WHERE `id` = '$them[id]' LIMIT 1");
    }

// голоса за файлы
    $db->query("DELETE FROM `forum_post_rating` WHERE `id_user` = '$id_user' LIMIT 1");
    $db->query("DELETE FROM `forum_post_files` WHERE `id_user` = '$id_user' LIMIT 1");
// закладки
    $db->query("DELETE FROM `forum_votes` WHERE `id_user` = '$id_user'");
// комментарии к новостям
    $db->query("DELETE FROM `news_komm` WHERE `id_user` = '$id_user'");

// контакты
    $db->query("DELETE FROM `users_konts` WHERE `id_user` = '$id_user' OR `id_kont` = '$id_user'");
// сообщения 
    $db->query("DELETE FROM `mail` WHERE `id_user` = '$id_user' OR `id_kont` = '$id_user'");
// совпадения пользователей
    $db->query("DELETE FROM `user_collision` WHERE `id_user` = '$id_user' OR `id_user2` = '$id_user'");
// рейтинги
    $db->query("DELETE FROM `user_voice2` WHERE `id_user` = '$id_user' OR `id_kont` = '$id_user'");

    return true;
}
